Bug 524979 - hplip does not support parallel port printers
Summary: hplip does not support parallel port printers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 20:57 UTC by Chris Rankin
Modified: 2009-11-13 02:32 UTC (History)
2 users (show)

Fixed In Version: 3.9.8-18.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 02:32:13 UTC


Attachments (Terms of Use)

Description Chris Rankin 2009-09-22 20:57:02 UTC
Description of problem:
My HP OfficeJet 710 does not work properly under Fedora 11, because hplip was not compiled with parallel port support.

Version-Release number of selected component (if applicable):
hplip-3.9.8-12.fc11

How reproducible:
100%

Steps to Reproduce:
From /etc/hp/hplip.conf

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=no

  
Actual results:
hpcups crashes when given a hp: URI that uses the parallel port

Expected results:
The multi-function printer would work correctly

Additional info:
The "--enable-pp-build" option in hplip's configure script defaults to "no".

Comment 1 Fedora Update System 2009-10-23 12:09:24 UTC
hplip-3.9.8-15.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/hplip-3.9.8-15.fc11

Comment 2 Fedora Update System 2009-10-27 06:42:55 UTC
hplip-3.9.8-15.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 3 Fedora Update System 2009-10-29 02:54:49 UTC
hplip-3.9.8-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 4 Fedora Update System 2009-11-04 12:15:52 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 5 Fedora Update System 2009-11-13 02:31:50 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.